org.apache.poi.hslf.record

## Enum ExOleObjAtom.OleType

- java.lang.Object
- - java.lang.Enum<ExOleObjAtom.OleType>
  - - org.apache.poi.hslf.record.ExOleObjAtom.OleType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ExOleObjAtom.OleType>
  Enclosing class:
    ExOleObjAtom

      public static enum ExOleObjAtom.OleType
      extends java.lang.Enum<ExOleObjAtom.OleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONTROL` The OLE object is an ActiveX control.
    `EMBEDDED` An embedded OLE object; the object is serialized and saved within the file.
    `LINKED` A linked OLE object; the object is saved outside of the file.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ExOleObjAtom.OleType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ExOleObjAtom.OleType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EMBEDDED

          public static final ExOleObjAtom.OleType EMBEDDED

      An embedded OLE object; the object is serialized and saved within the file.

    - #### LINKED

          public static final ExOleObjAtom.OleType LINKED

      A linked OLE object; the object is saved outside of the file.

    - #### CONTROL

          public static final ExOleObjAtom.OleType CONTROL

      The OLE object is an ActiveX control.

  - ### Method Detail

    - #### values

          public static ExOleObjAtom.OleType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ExOleObjAtom.OleType c : ExOleObjAtom.OleType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ExOleObjAtom.OleType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.